import React from 'react';
import { Div } from '@cloudflare/elements';
import HeaderCell from './HeaderCell';

var HeaderRow = _ref => {
  var {
    headerGroups,
    isLoading,
    isEmpty,
    hasError,
    disableHeaders,
    selectAllKey
  } = _ref;
  if (disableHeaders) return null;
  return /*#__PURE__*/React.createElement(Div, {
    role: "rowgroup",
    display: "block"
  }, headerGroups.map((headerGroup, i) => /*#__PURE__*/React.createElement("tr", headerGroup.getHeaderGroupProps(), headerGroup.headers.map(column => {
    return /*#__PURE__*/React.createElement(HeaderCell, {
      key: column.id,
      column: column,
      isLoading: isLoading,
      isEmpty: isEmpty,
      hasError: hasError,
      selectAllKey: selectAllKey
    });
  }))));
};

export default HeaderRow;